//function load_autoreg() {//ЭТО Я ИСПОЛЬЗОВАЛ ДЛЯ ПРИМЕРА НУЖНО ЗАКОМЕНТИРОВАТЬ
//   return { 'balanse': "230₽", 'available_phone': 5, 'price_phone': "5₽", 'status': false }
//}
async function get_country_pnones() {
    var value = $( "#country_list option:selected").val();
    //alert(value);//ТУТ МЕТОД ДЛЯ ЧЕКБОКСОВ
    res = await eel.get_info_numbers(country = value, service = 'sms-activate.ru')()
    $('#available_phone').val(res['available_phone']);
    $('#price_phone').val(res['price']);
}

async function get_info_countrys() {
    country_list = await eel.get_country()();
    $('#country_list').html(country_list);
    get_country_pnones()
}

async function reload_api() {
    let follow_key_antisafety = await eel.follow_key_antisafety()();
    $('#follow_key_antisafety').text(follow_key_antisafety);
    let temp = await eel.load_autoreg()();
    console.log(temp);
    console.log(temp['status']);
    if (temp['status'] == 'True') {
        // $('#save_api_sms').addClass('d-none');
        $('#balance').val(temp['balance'] + ' ₽');
        $('#available_phone').val(temp['available_phone']);
        $('#price_phone').val(temp['price_phone']);
        $('#sms_activate_api').val(temp['api_key']);
        $('#antisafety_api').val(temp['api_key_antisafety']);
        $('#balance_antisafety').val(temp['balance_antisafety']);
        get_info_countrys()

    } else if (temp['status'] == 'False') {
        $('#country_list').prop('checked', false);
        $('#country_list').prop('disabled', true);
        $('#save_api_sms').addClass('d-block');
        $('#quantity_reg').prop('readonly', true);
        $('#waiting_time').prop('readonly', true);
        $('#start_registration').addClass('d-none');
    } else if (temp = false) {
        $('#country_list').prop('checked', false);
        $('#country_list').prop('disabled', true);
        $('#save_api_sms').addClass('d-block');
        $('#quantity_reg').prop('readonly', true);
        $('#waiting_time').prop('readonly', true);
        $('#start_registration').addClass('d-none');
    }
}

$(document).ready(function(){
    reload_api();
});

$('#country_list').click(function () {
    get_country_pnones()
});

$('#save_api_sms').on('click', async function () {
    api_key = $('#sms_activate_api').val();
    await eel.save_apikey(api_key, "sms-activate.ru")();
    await reload_api();
});
$('#save_api_antisafety').on('click', async function () {
    api_key = $('#antisafety_api').val();
    await eel.save_apikey(api_key, "antisafety")();
    await reload_api();
});



let options = {
    country: "",
    count_register: 0,
    time: 0,
};




$('#settings_reg_save').on('click', async function () {
    $('#settings_reg_modal').modal('hide');
});

$('#start_registration').on('click', async function () {
    options.country = $( "#country_list option:selected").val();

    if ($('#quantity_reg').val() !== "") {
        options.count_register = $('#quantity_reg').val();
    } else {
        options.count_register = 1;
    }
    if ($('#waiting_time').val() !== "") {
        options.time = $('#waiting_time').val();
    } else {
        options.time = 2;
    }


    let json = JSON.stringify(options);
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить регистрацию");
        $('#log li').remove();
        console.log(json)
        await eel.autoreg(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Запустить регистрацию");
        eel.stopped('autoreg') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('autoreg')
});


eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#start_registration').removeClass('btn-danger');
    $('#start_registration').addClass('btn-success');
    $('#start_registration').text("Запустить регистрацию");
}

eel.expose(log);
function log(log_line) {
    $('#log').append('<li>' + log_line + '</li>');
    $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
    $(".spinner-grow").remove();
    $("li").last().append('<div class="spinner-grow spinner-grow-sm ml-1 mb-1"></div>');  
}

function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 1900
    })
}





